﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Shapes;

namespace CustomSymbols.Symbols
{
    public class Symbol01 : BaseNode
    {
        private readonly Grid m_rootGrid;

        public Symbol01()
        {
            m_rootGrid = new Grid();
            BuildSymbol();
        }

        public void BuildSymbol()
        {
            this.Content = m_rootGrid;
            this.IsHitTestVisible = false;

            var brush = Brushes.Gray;
            var bodyPath = new Path
                           {
                               Fill = brush,
                               Stroke = brush,
                               StrokeThickness = 1,
                               Data = new EllipseGeometry(new Rect(0, 0, 30, 30)),
                               HorizontalAlignment = HorizontalAlignment.Stretch,
                               VerticalAlignment = VerticalAlignment.Stretch,
                           };
            m_rootGrid.Children.Add(bodyPath);
            this.Content = m_rootGrid;
            this.UpdateLayout();
        }

        public override void ResizeNode(double height, double width)
        {
            m_rootGrid.Children.Clear();
            var brush = Brushes.Gray;
            var bodyPath = new Path
            {
                Fill = brush,
                Stroke = brush,
                StrokeThickness = 1,
                Data = new EllipseGeometry(new Rect(0, 0, width, height)),
                HorizontalAlignment = HorizontalAlignment.Stretch,
                VerticalAlignment = VerticalAlignment.Stretch,
            };
            m_rootGrid.Children.Add(bodyPath);
            m_rootGrid.Height = height;
            m_rootGrid.Width = width;

            this.Width = width;
            this.Height = height;
            this.UpdateLayout();
        }

        
    }
}
